/* -------------------- */
/* 1st page - Home page */
/* -------------------- */
#home_page {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.main_panel {
  width: 96%;
  height: 92%;
  background-color: rgba(0, 0, 0, 0.698);
  z-index: 1;
  opacity: 0.7;
  transition: 1s;
}

#home_page .main_content {
  width: 50%;
  height: 30%;
  margin-top: 10%;
  margin-left: 12%;
}

.main_content h1 {
  font-size: 3rem;
  color: #fff;
}

.main_content h3 {
  font-size: 1.5rem;
  color: #fff;
}

.video_container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media (min-aspect-ratio: 16/9) {
  video {
    width: 100%;
    height: auto;
  }
}

@media (max-aspect-ratio: 16/9) {
  video {
    width: auto;
    height: 100%;
  }
}

/* ------------------- */
/*  All article pages  */
/* ------------------- */
#about_page,
#landscapes_page,
#foods_page,
#meetings_page {
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* TODO - Test on desktop -> remove if useless */
/* #about_page header,
  #landscapes_page header,
  #foods_page header,
  #meetings_page header {
    height: 7%;
    flex: 0 1 auto;
    text-align: center;
  } */

#about_page .main_content,
#landscapes_page .main_content,
#foods_page .main_content,
#meetings_page .main_content {
  height: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex: 1 1 auto;
  position: relative;
}

.text_content {
  text-align: center;
  width: 40%;
  margin: 70px;
  align-self: start;
  font-style: italic;
}

/* ----------- */
/* About image */
/* ----------- */
/* Profil image hover */
.overlay_image {
  position: relative;
  width: 26%;
  height: 70%;
  overflow: hidden;
  z-index: 2;
}

.overlay_image .content_image {
  display: block;
  min-width: 100%;
  max-width: 100%;
}

.overlay_text {
  color: rgb(255, 255, 255);
  font-size: 30px;
  font-weight: bold;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
}

.overlay_image .img_hover {
  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: 0.3s;
}

.overlay_image:hover .img_hover {
  opacity: 0.7;
  background-color: #000;
}

.overlay_image:hover .img_hover .overlay_text {
  opacity: 1;
}

/* ------------------- */
/* Slideshow container */
/* ------------------- */
.slideshow-container {
  width: 40%;
  height: 100%;
  position: relative;
  overflow: hidden;
}

.mySlides {
  display: none;
  width: 100%;
  height: 100%;
}

.mySlides img {
  width: 100%;
  height: 100%;
  object-fit: scale-down;
}

.carousel_btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  flex-direction: column;
  height: 100px;
  justify-content: space-between;
  align-items: center;
  z-index: 3;
}

.btn_container {
  width: 40px;
  height: 40px;
  margin-right: 20px;
  transform: rotate(90deg);
  border: 1px solid black;
  border-radius: 50%;
  -webkit-box-shadow: 8px 0px 13px -7px #000000,
    3px 3px 15px 5px rgba(0, 0, 0, 0);
  box-shadow: 8px 0px 13px -7px #000000, 3px 3px 15px 2px rgba(0, 0, 0, 0);
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn_container:hover {
  background-color: rgba(133, 124, 124, 0.611);
}

.prev,
.next {
  cursor: pointer;
  width: auto;
  font-size: 25px;
  padding-bottom: 4px;
  user-select: none;
  transition: 0.6s ease;
  z-index: 40;
}

.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.active {
  background-color: #717171;
}

.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

/* ------------------- */
/* 2nd page - About me */
/* ------------------- */

/* Text content styles */
.about_content {
  margin-top: 9%;
}

.about_content h2 {
  font-weight: bold;
  font-size: 2rem;
}

.about_content h4 {
  font-size: 1.2rem;
  color: #ce9c9c;
  margin-top: 1%;
}

.about_content p {
  font-style: italic;
  font-size: 1rem;
  margin-top: 11%;
}

.palmer {
  position: absolute;
  transform: scale(0.85);
  width: 20%;
  right: -30%;
  bottom: -50%;
  /* animation is handled with javascript */
  /* animation : palmer_appearance 1.5s forwards; */
}

@keyframes palmer_appearance {
  100% {
    right: -1.5%;
    bottom: -5%;
  }
}

/* --------------------- */
/* 3rd page - Landscapes */
/* --------------------- */
#landscapes_page .main_content {
  flex-direction: row-reverse;
}

/* Text content styles */
.landscapes_content {
  margin-top: 7%;
}

.landscapes_content h2 {
  font-weight: bold;
  font-size: 2rem;
}

.landscapes_content p {
  font-style: italic;
  font-size: 1rem;
  margin-top: 9%;
}

/* Drawing animation */
.mountain {
  position: absolute;
  transform: scale(0.85);
  width: 20%;
  left: -30%;
  bottom: -50%;
  /* animation is handled with javascript */
  /* animation: mountain_appearance 1.5s forwards; */
}

@keyframes mountain_appearance {
  100% {
    left: 18%;
    bottom: 8%;
  }
}

/* ---------------- */
/* 4rd page - Foods */
/* ---------------- */
/* Text content styles */
.foods_content {
  margin-top: 7%;
}

.foods_content h2 {
  font-weight: bold;
  font-size: 2rem;
}

.foods_content p {
  font-style: italic;
  font-size: 1rem;
  margin-top: 9%;
}

/* Drawing animation */
.cultery {
  position: absolute;
  transform: scale(1.4);
  width: 20%;
  right: -30%;
  bottom: -15%;
  /* animation is handled with javascript */
  /* animation: cultery_appearance 1.5s forwards; */
}

@keyframes cultery_appearance {
  100% {
    right: 13%;
    bottom: 8%;
  }
}

/* ------------------- */
/* 5th page - meetings */
/* ------------------- */
#meetings_page .main_content {
  flex-direction: row-reverse;
}

/* Text content styles */
.meetings_content {
  margin-top: 7%;
}

.meetings_content h2 {
  font-weight: bold;
  font-size: 2rem;
}

.meetings_content p {
  font-style: italic;
  font-size: 1rem;
  margin-top: 9%;
}

/* Drawing animation */
.friends {
  position: absolute;
  transform: scale(1.1);
  width: 20%;
  left: -30%;
  bottom: -50%;
  /* animation is handled with javascript */
  /* animation: friends_appearance 1.5s forwards; */
}

@keyframes friends_appearance {
  100% {
    left: 18%;
    bottom: 8%;
  }
}

/* ------------- */
/* Contacts page */
/* ------------- */
#contacts_page {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.footer_text {
  width: 20%;
  height: auto;
  font-weight: bold;
  font-size: 1.2rem;
}

.footer_arrow {
  width: 10%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  opacity: 0;
  /* animation is handled with javascript */
  /* animation: footer_arrow_appearance 1.5s forwards; */
}

@keyframes footer_arrow_appearance {
  100% {
    opacity: 1;
  }
}

.footer_arrow img {
  min-width: 100%;
  max-width: 100%;
  transform: rotate(-45deg);
}

.social_network_icons {
  width: 20%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.icons {
  width: 10%;
  height: 10%;
  z-index: 3;
}

.icons img {
  min-width: 100%;
  max-width: 100%;
}
